//
//  Shader.fsh
//  BrideZilla
//
//  Created by Benzo on 5/11/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

varying lowp vec4 colorVarying;	
varying highp vec2 texCoord;
uniform	sampler2D texture0;

uniform bool textureEN;
uniform bool alphaChange;
void main()
{
	//vec4 color;
	//color = texture2D(texture0, texCoord0);
	lowp vec4 color;
	if(textureEN) {
		color = texture2D(texture0, texCoord);
		
		if(alphaChange){
			color.a = color.r;
		}
		
		gl_FragColor = color*colorVarying;
	} else
		gl_FragColor = colorVarying;

		
	// gl_FragColor.w = 1.0;
}
